Information about a currently dragged data object.

### Hierarchy

- DragInfo

## Index

### Properties

- currentPath
- data
- originalPath
- schema

## Properties

### currentPath

currentPath: string

- Defined in tree/dnd.util.ts:30

The current path of the dragged data object. This is updated when the dragged data is moved while dragging it and needed to move it back to its original position in case the drag is cancelled.

This is initialized with the originalPath.

### data

data: any

- Defined in tree/dnd.util.ts:34

The data object itself

### originalPath

originalPath: string

- Defined in tree/dnd.util.ts:22

The path where the data object was located before the drag started.

### schema

schema: JsonSchema7

- Defined in tree/dnd.util.ts:32

The JsonSchema defining the dragged data object

Generated using TypeDoc